# -*- coding: utf-8 -*-

__author__ = 'Trevor Olson'
__email__ = 'trevor@heytrevor.com'
__version__ = '0.5.1'


__all__ = [  # noqa
    'Isis',
    'IsisPool',
    'CubeFile',
    'ISIS_ROOT',
    'ISIS_VERSION',
    'ISIS_VERSION_MAJOR',
    'ISIS_VERSION_MINOR',
    'ISIS_VERSION_PATCH',
    'ISIS_VERSION_BUILD',
    'check_isis_version',
    'require_isis_version',
    'isis',
]


from .isiscommand import Isis
from .isispool import IsisPool
from .cubefile import CubeFile
from .env import (
    ISIS_ROOT,
    ISIS_VERSION,
    ISIS_VERSION_MAJOR,
    ISIS_VERSION_MINOR,
    ISIS_VERSION_PATCH,
    ISIS_VERSION_BUILD,
    check_isis_version,
    require_isis_version,
)
